
 <?php

    require_once ('../inventario/conexion.php');
 
       
     $tecladoserial = $_POST["tecladoserial"];
     $estadoteclado = $_POST['estadoteclado'];
      $obsevarcion = $_POST['obsevarcion'];
   
      
    $objconexion = new conexion();

    if(!empty($tecladoserial) && !empty($estadoteclado) && !empty($obsevarcion)) 
   	 //echo $return;
{
   

    $sentenciaupdate = "UPDATE teclado SET Serial_teclado='$tecladoserial', estado_teclado='$estadoteclado', fecha_ingreso = now()
        WHERE Serial_teclado='$tecladoserial'"; 

   // echo $sentenciaupdate ;

  //$objconexion -> consultararraynum($sentenciaupdate);
  $return = $objconexion->Ejecutar($sentenciaupdate);

 
    if($return==1)

        {
            echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                  window.location ="ingresarteclado.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
                  window.location ="ingresarteclado.php";
                  </script>';
         }
}


if(!empty($tecladoserial) && !empty($estadoteclado) && !empty($fecha) && !empty($obsevarcion))
  echo "condicional";
{

  

  $SentenciaInsert2 = "INSERT INTO historial_teclado VALUES(null,'".$tecladoserial."','".$estadoteclado."',now(),null,'".$obsevarcion."')";
  //echo $SentenciaInsert2;

    $return = $objconexion->Ejecutar($SentenciaInsert2);
    if($return==1)
    {
        echo '<script language="javascript">alert("Se guardaron los datos en la base de datos")
              window.location = "ingresarteclado.php";
            </script>';
        }
      else
      {
        echo '<script language="javascript">alert("error en la insercion")
              window.location = "ingresarteclado.php";
              </script>';
         }
}

?>